Botan 2.19.5 Crypto and TLS for C&

Public Member Functions | Static Public Member Functions | List of all members
Botan::Cert_Extension::Extended_Key_Usage Class Referencefinal

`#include <x509_ext.h>`

Inheritance diagram for Botan::Cert_Extension::Extended_Key_Usage:

## Public Member Functions
Extended_Key_Usage * | copy () const override
| Extended_Key_Usage ()=default
| Extended_Key_Usage (const std::vector< OID > &o)
const std::vector< OID > & | get_oids () const
OID | oid_of () const override
virtual void | validate (const X509_Certificate &subject, const X509_Certificate &issuer, const std::vector< std::shared_ptr< const X509_Certificate > > &cert_path, std::vector< std::set< Certificate_Status_Code > > &cert_status, size_t pos)

## Static Public Member Functions
static OID | static_oid ()

## Detailed Description

Extended Key Usage Extension

Definition at line 202 of file x509_ext.h.

## Constructor & Destructor Documentation

## ◆ Extended_Key_Usage() [1/2]

Botan::Cert_Extension::Extended_Key_Usage::Extended_Key_Usage | ( |  | ) |
| default

## ◆ Extended_Key_Usage() [2/2]

Botan::Cert_Extension::Extended_Key_Usage::Extended_Key_Usage | ( | const std::vector< OID > & | o | ) |
| inline explicit

Definition at line 209 of file x509_ext.h.

209: m_oids(o) {}

## Member Function Documentation

## ◆ copy()

Extended_Key_Usage * Botan::Cert_Extension::Extended_Key_Usage::copy | ( |  | ) | const
| inline override virtual

Make a copy of this extension

Returns
  copy of this

Implements Botan::Certificate_Extension.

Definition at line 205 of file x509_ext.h.

206 { return new Extended_Key_Usage(m_oids); }
Botan::Cert_Extension::Extended_Key_Usage::Extended_Key_Usage
Extended_Key_Usage()=default

## ◆ get_oids()

const std::vector< OID > & Botan::Cert_Extension::Extended_Key_Usage::get_oids | ( |  | ) | const
| inline

Definition at line 211 of file x509_ext.h.

211{ return m_oids; }

Referenced by Botan::PKCS10_Request::ex_constraints().

## ◆ oid_of()

OID Botan::Cert_Extension::Extended_Key_Usage::oid_of | ( |  | ) | const
| inline override virtual

Returns
  OID representing this extension

Implements Botan::Certificate_Extension.

Definition at line 214 of file x509_ext.h.

214{ return static_oid(); }
Botan::Cert_Extension::Extended_Key_Usage::static_oid
static OID static_oid()
Definition: x509_ext.h:213

## ◆ static_oid()

static OID Botan::Cert_Extension::Extended_Key_Usage::static_oid | ( |  | ) |
| inline static

Definition at line 213 of file x509_ext.h.

213{ return OID("2.5.29.37"); }

## ◆ validate()

void Botan::Certificate_Extension::validate | ( | const X509_Certificate & | subject,
|  | const X509_Certificate & | issuer,
|  | const std::vector< std::shared_ptr< const X509_Certificate > > & | cert_path,
|  | std::vector< std::set< Certificate_Status_Code > > & | cert_status,
|  | size_t | pos
| ) |  |
| virtual inherited

Reimplemented in Botan::Cert_Extension::Unknown_Extension, Botan::Cert_Extension::Name_Constraints, and Botan::Cert_Extension::Certificate_Policies.

Definition at line 113 of file x509_ext.cpp.

117 {
118 }

The documentation for this class was generated from the following files:

- src/lib/x509/x509_ext.h
- src/lib/x509/x509_ext.cpp